/**
 * penguins-eggs: hatch.js
 *
 * author: Piero Proietti
 * mail: piero.proietti@gmail.com
 *
 */
import { IDevices } from '../interfaces';
/**
 * Queste definizioni sono SOLO per hatching
 */
interface INet {
    interface: string;
    addressType: string;
    address: string;
    netMask: string;
    gateway: string;
    dns: string;
}
interface IUsers {
    name: string;
    fullname: string;
    password: string;
    autologin: string;
    rootpassword: string;
}
interface IHost {
    name: string;
    domain: string;
}
interface IDisk {
    installationDevice: string;
    partionType: string;
    fsType: string;
}
/**
 * hatch, installazione
 */
export default class Hatching {
    target: string;
    efi: boolean;
    devices: IDevices;
    users: IUsers;
    host: IHost;
    net: INet;
    disk: IDisk;
    /**
     * constructor
     */
    constructor();
    /**
     * question
     */
    questions(verbose?: boolean, umount?: boolean): Promise<void>;
    /**
     * install
     */
    install(verbose?: boolean, umount?: boolean): Promise<void>;
    /**
     * setTimezone
     */
    setTimezone(verbose?: boolean): Promise<void>;
    /**
     *
     * @param name
     * @param password
     * @param fullName
     * @param roomNumber
     * @param workPhone
     * @param homePhone
     */
    addUser(name?: string, password?: string, fullName?: string, roomNumber?: string, workPhone?: string, homePhone?: string, verbose?: boolean): Promise<void>;
    /**
     * changePassword
     * @param name
     * @param newPassword
     */
    changePassword(name?: string, newPassword?: string, verbose?: boolean): Promise<void>;
    /**
     * delete name
     * @param name
     */
    delLiveUser(verbose?: boolean): Promise<void>;
    /**
     * grubInstall()
     * @param target
     * @param options
     */
    grubInstall(verbose?: boolean): Promise<void>;
    /**
     * updateInitramfs()
     */
    updateInitramfs(verbose?: boolean): Promise<void>;
    /**
     * mountVFS()
     */
    mountVFS(verbose?: boolean): Promise<void>;
    /**
     * umountVFS()
     * @param target
     */
    umountVFS(verbose?: boolean): Promise<void>;
    /**
     * fstab()
     * @param devices
     */
    fstab(installDevice: string, verbose?: boolean): Promise<void>;
    resume(device: string): Promise<void>;
    /**
     * name()
     * @param options
     */
    name(verbose?: boolean): Promise<void>;
    /**
     * resolvConf()
     * @param options
     */
    resolvConf(verbose?: boolean): Promise<void>;
    /**
     *
     * auto lo
     *
     * interfaces()
     * @param options
     */
    interfaces(verbose?: boolean): Promise<void>;
    /**
     * hostname
     * @param verbose
     */
    hostname(verbose?: boolean): Promise<void>;
    /**
     * hosts()
     * @param options
     */
    hosts(verbose?: boolean): Promise<void>;
    /**
     *
     */
    removeInstaller(verbose?: boolean): Promise<void>;
    /**
     * egg2system
     * @param devices
     * @param verbose
     */
    egg2system(verbose?: boolean): Promise<void>;
    /**
     *
     * @param devices
     */
    mkfs(verbose?: boolean): Promise<boolean>;
    /**
     *
     * @param devices
     */
    mount4target(verbose?: boolean): Promise<boolean>;
    /**
     *
     * @param target
     * @param devices
     */
    umount4target(verbose?: boolean): Promise<boolean>;
    /**
     *
     * @param device
     * @param partitionType
     * @param verbose
     */
    diskPartition(device: string, partitionType: string, verbose?: boolean): Promise<boolean>;
    /**
     * Rimuove il lvm pve
     * @param verbose
     */
    lvmRemove(verbose?: boolean): Promise<void>;
    /**
     *
     * @param device
     */
    isRotational(device: string, verbose?: boolean): Promise<boolean>;
    /**
     *
     * @param device
     */
    getDiskSize(device: string, verbose?: boolean): Promise<number>;
    /**
     *
     * @param verbose
     */
    getOptionsUsers(verbose?: boolean): Promise<unknown>;
    /**
     *
     * @param verbose
     */
    getOptionsHost(verbose?: boolean): Promise<unknown>;
    /**
     *
     * @param verbose
     */
    getOptionsNet(verbose?: boolean): Promise<unknown>;
    /**
     *
     * @param driveList
     * @param partitionTypes
     * @param verbose
     */
    getOptionsDisk(driveList: string[], partitionTypes: string[], verbose?: boolean): Promise<any>;
    /**
     * only show the result
     */
    finished(): void;
}
export {};
