/**
* penguins-eggs: fisherman.ts
*
* author: Piero Proietti
* mail: piero.proietti@gmail.com
*/
import { IDistro } from '../../interfaces';
export default class Fisherman {
    distro: IDistro;
    dirModules: string;
    dirCalamaresModules: string;
    rootTemplate: string;
    verbose: boolean;
    constructor(distro: IDistro, dirModules: string, dirCalamaresModules: string, rootTemplate: string, verbose?: boolean);
    /**
    * write setting
    */
    settings(branding?: string): Promise<void>;
    /**
     *
     * @param name
     */
    shellprocess(name: string): Promise<void>;
    /**
    *
    * @param name
    */
    contextualprocess(name: string): Promise<void>;
    /**
     *
     * @param name
     * @param replaces [['search','replace']]
     */
    buildModule(name: string): Promise<void>;
    /**
     *
     * @param name
     * @param isScript
     */
    buildCalamaresModule(name: string, isScript?: boolean): Promise<string>;
    /**
     *
     * @param name
     */
    buildCalamaresPy(name: string): Promise<void>;
    /**
     *
     * @param module
     * @param type
     * @param path
     */
    show(name: string, type: string, path: string): void;
    /**
    * ====================================================================================
    * M O D U L E S
    * ====================================================================================
    */
    /**
    * Al momento rimane con la vecchia configurazione
    */
    moduleFinished(): Promise<void>;
    /**
     * Al momento rimane con la vecchia configurazione
     */
    moduleUnpackfs(): Promise<void>;
    /**
     * usa i moduli-ts
     */
    moduleDisplaymanager(): Promise<void>;
    /**
     * usa i moduli-ts
     */
    modulePackages(distro: IDistro, remove?: boolean): Promise<void>;
    /**
     * Al momento rimane con la vecchia configurazione
     */
    moduleRemoveuser(username: string): Promise<void>;
}
