/**
 * penguins-eggs: ovary.ts VERSIONE DEBIAN-LIVE
 * author: Piero Proietti
 * mail: piero.proietti@gmail.com
 *
 * Schema from "refractasnapshot-10.2.10 (20191218)"
 * Copyright: fsmithred@gmail.com 2011-2019
 */
import { IInitrd } from '../interfaces';
/**
 * initrd
 * Controlla e rimuove, se necessario cryptroot, resume
 * cryptsetup
 */
export default class Initrd {
    workDir: string;
    compression: string;
    initrdSrc: string;
    initrdDest: string;
    fsLive: string;
    constructor(initrdSrc?: string, initrdDest?: string, fsLive?: string);
    /**
     * clean
     */
    clean(): void;
    /**
     * Check initrd for cryptroot, resume, cryptsetup.
     */
    check(): IInitrd;
    /**
     * extract
     */
    extract(initrd?: string, verbose?: boolean): Promise<void>;
    /**
     * edit
     */
    private edit;
    /**
     * rebuild
     */
    private rebuild;
}
