/**
 * penguins-eggs-v7
 * author: Piero Proietti
 * email: piero.proietti@gmail.com
 * license: MIT
 */
import { IRemix, IDistro } from '../interfaces';
/**
 * Utils: general porpourse utils
 * @remarks all the utilities
 */
export default class Pacman {
    remix: IRemix;
    distro: IDistro;
    settings: {};
    constructor();
    static versionLike(): string;
    /**
     * buster   OK
     * beowulf  OK
     * focal    live-task-localization
     * bionic   live-config live-task-localization
     *
     */
    static debs4eggs: string[];
    static debs4notRemove: string[];
    static debs4calamares: string[];
    /**
     * controlla se è installato xserver-xorg-core
     */
    static isXorg(): Promise<boolean>;
    /**
     * Constrolla se è installato wayland
     */
    static isWayland(): Promise<boolean>;
    /**
     * Check if the system is just CLI
     */
    static isCli(): Promise<boolean>;
    /**
     * Check if the system is GUI able
     */
    static isGui(): Promise<boolean>;
    /**
     *
     * @param remove
     * @param verbose
     */
    static packagesLocalisation(remove?: boolean, verbose?: boolean): string[];
    /**
     * Crea array packages dei pacchetti da installare/rimuovere
     */
    static packages(verbose?: boolean): string[];
    /**
     * Restituisce VERO se i prerequisiti sono installati
     */
    static prerequisitesCheck(): Promise<boolean>;
    /**
     *
     */
    static prerequisitesInstall(verbose?: boolean): Promise<boolean>;
    /**
     *
     */
    static prerequisitesRemove(verbose?: boolean): Promise<boolean>;
    /**
     * Torna verso se calamares è installato
     */
    static calamaresCheck(): Promise<boolean>;
    /**
     *
     */
    static calamaresInstall(verbose?: boolean): Promise<void>;
    /**
     *
     */
    static calamaresRemove(verbose?: boolean): Promise<boolean>;
    /**
     * Restituisce VERO se i file di configurazione SONO presenti
     */
    static configurationCheck(): boolean;
    /**
     * Ritorna vero se machine-id è uguale
     */
    static configurationMachineNew(verbose?: boolean): Promise<boolean>;
    /**
     *
     */
    static configurationFresh(): Promise<void>;
    /**
     * Creazione del file di configurazione /etc/penguins-eggs
     */
    static configurationInstall(links?: boolean, verbose?: boolean): Promise<void>;
    /**
     * Rimozione dei file di configurazione
     */
    static configurationRemove(verbose?: boolean): Promise<void>;
    /**
     *
     */
    static distroTemplateCheck(): boolean;
    /**
     *
     */
    static distroTemplateInstall(verbose?: boolean): Promise<void>;
    /**
     *
     * @param verbose
     */
    static autocompleteInstall(verbose?: boolean): Promise<void>;
    /**
    * Installa manPage
    */
    static manPageInstall(verbose?: boolean): Promise<void>;
    /**
     *
     * @param rootPen
     */
    static links4Debs(remove?: boolean, verbose?: boolean): Promise<void>;
    /**
     *
     * @param mode
     * @param src
     * @param dest
     * @param verbose
     */
    static ln(src: string, dest: string, remove?: boolean, verbose?: boolean): Promise<void>;
    /**
    * restuisce VERO se il pacchetto è installato
    * @param debPackage
    */
    static packageIsInstalled(debPackage: string): boolean;
    /**
    * restuisce VERO se il pacchetto è installato
    * @param debPackage
    */
    static packageAptAvailable(debPackage: string): Promise<boolean>;
    static packageAptLast(debPackage: string): Promise<string>;
    static packageNpmLast(packageNpm?: string): Promise<string>;
    /**
     *
     * @param cmd
     */
    static commandIsInstalled(cmd: string): Promise<boolean>;
    /**
     * Install the package debPackage
     * @param debPackage {string} Pacchetto Debian da installare
     * @returns {boolean} True if success
     */
    static packageInstall(debPackage: string): Promise<boolean>;
    /**
     *
     * @param packages array packages
     */
    static debs2line(packages: string[]): string;
}
