import { IRemix, IDistro, IApp, IWorkDir } from '../interfaces';
import Incubator from './incubation/incubator';
import { IConfig } from '../interfaces/';
/**
 * Setting
 */
export default class Settings {
    app: IApp;
    config: IConfig;
    remix: IRemix;
    work_dir: IWorkDir;
    distro: IDistro;
    incubator: Incubator;
    i686: boolean;
    isLive: boolean;
    efi_work: string;
    kernel_image: string;
    initrd_image: string;
    vmlinuz: string;
    initrdImg: string;
    session_excludes: string;
    isoFilename: string;
    constructor(compression?: string);
    /**
     *
     * @param config
     */
    save(config: IConfig): Promise<void>;
    /**
     * Load configuration from config_file
     * @returns {boolean} Success
     */
    load(): Promise<boolean>;
    /**
     * showSettings
     */
    show(): Promise<void>;
    /**
     * Calculate and show free space on the disk
     * @returns {void}
     */
    listFreeSpace(): Promise<void>;
    /**
     *
     * @param basename
     * @param theme
     */
    loadRemix(basename?: string, theme?: string): Promise<void>;
}
