"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
const utils_1 = require("../classes/utils");
const exec = require('../lib/utils').exec;
class Adaptp extends command_1.Command {
    async run() {
        const { args, flags } = this.parse(Adaptp);
        let verbose = false;
        if (flags.verbose) {
            verbose = true;
        }
        const echo = utils_1.default.setEcho(verbose);
        //const {args, flags} = this.parse(Adjust)
        utils_1.default.titles(this.id + ' ' + this.argv);
        utils_1.default.warning('Adapt monitor resolutions to the size of window in virtual machines');
        await exec(`xrandr --output Virtual-0 --auto`, echo);
        await exec(`xrandr --output Virtual-1 --auto`, echo);
        await exec(`xrandr --output Virtual-2 --auto`, echo);
        await exec(`xrandr --output Virtual-3 --auto`, echo);
    }
}
exports.default = Adaptp;
Adaptp.description = 'adapt monitor resolution for VM only';
Adaptp.aliases = ['adjust'];
Adaptp.flags = {
    verbose: command_1.flags.boolean({ char: 'v' }),
    help: command_1.flags.help({ char: 'h' })
};
