"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
const tools_1 = require("../../classes/tools");
const utils_1 = require("../../classes/utils");
const exec = require('../../lib/utils').exec;
class ExportDeb extends command_1.Command {
    async run() {
        const { args, flags } = this.parse(ExportDeb);
        utils_1.default.titles(this.id + ' ' + this.argv);
        const Tu = new tools_1.default;
        utils_1.default.warning(ExportDeb.description);
        await Tu.loadSettings();
        if (utils_1.default.isRoot()) {
            utils_1.default.warning('You must use eggs export:deb in user mode, without sudo');
        }
        else {
            // rimozione
            if (flags.clean) {
                console.log('cleaning remote host...');
                let arch = 'amd64.deb';
                if (process.arch === 'ia32') {
                    arch = 'i386.deb';
                }
                if (flags.armel) {
                    arch = 'armel.deb';
                }
                else if (flags.amd64) {
                    arch = 'amd64.deb';
                }
                else if (flags.i386) {
                    arch = 'i386.deb';
                }
                else if (flags.all) {
                    arch = '*.deb';
                }
                let cmd = `ssh ${Tu.config.remoteUser}@${Tu.config.remoteHost} rm -rf ${Tu.config.remotePathDeb}${Tu.config.filterDeb}${arch}`;
                await exec(cmd, { echo: true, capture: true });
            }
            // esportazione
            console.log('copy to remote host...');
            let arch = 'amd64.deb';
            if (process.arch === 'ia32') {
                arch = 'i386.deb';
            }
            if (flags.armel) {
                arch = 'armel.deb';
            }
            else if (flags.amd64) {
                arch = 'amd64.deb';
            }
            else if (flags.i386) {
                arch = 'i386.deb';
            }
            else if (flags.all) {
                arch = '*.deb';
            }
            let cmd = `scp ${Tu.config.localPathDeb}${Tu.config.filterDeb}${arch} root@${Tu.config.remoteHost}:${Tu.config.remotePathDeb}`;
            await exec(cmd, { echo: true, capture: true });
        }
    }
}
exports.default = ExportDeb;
ExportDeb.description = 'export deb/docs/iso to the destination host';
ExportDeb.flags = {
    help: command_1.flags.help({ char: 'h' }),
    clean: command_1.flags.boolean({ char: 'c', description: 'remove old .deb before to copy' }),
    armel: command_1.flags.boolean({ description: 'export armel arch' }),
    amd64: command_1.flags.boolean({ description: 'export amd64 arch' }),
    i386: command_1.flags.boolean({ description: 'export i386 arch' }),
    all: command_1.flags.boolean({ description: 'export all archs' }),
};
