"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
const tools_1 = require("../../classes/tools");
const utils_1 = require("../../classes/utils");
const exec = require('../../lib/utils').exec;
class ExportDocs extends command_1.Command {
    async run() {
        const { args, flags } = this.parse(ExportDocs);
        const Tu = new tools_1.default();
        utils_1.default.titles(this.id + ' ' + this.argv);
        utils_1.default.warning(ExportDocs.description);
        await Tu.loadSettings();
        await exec(`ssh ${Tu.config.remoteUser}@${Tu.config.remoteHost} rm -rf ${Tu.config.remotePathDoc}*`, { echo: true, capture: true });
        await exec(`scp -r ${Tu.config.localPathDoc}/* ${Tu.config.remoteUser}@${Tu.config.remoteHost}:${Tu.config.remotePathDoc}`, { echo: true, capture: true });
    }
}
exports.default = ExportDocs;
ExportDocs.description = 'remove and export docType documentation of the sources in the destination host';
ExportDocs.flags = {
    help: command_1.flags.help({ char: 'h' }),
};
