"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 *
 */
const command_1 = require("@oclif/command");
const tools_1 = require("../../classes/tools");
const utils_1 = require("../../classes/utils");
const exec = require('../../lib/utils').exec;
class ExportIso extends command_1.Command {
    async run() {
        const { flags } = this.parse(ExportIso);
        utils_1.default.titles(this.id + ' ' + this.argv);
        const Tu = new tools_1.default();
        utils_1.default.warning(ExportIso.description);
        await Tu.loadSettings();
        let cmd = `ssh root@${Tu.config.remoteHost} rm -rf ${Tu.config.remotePathIso}${Tu.snapshot_name}*`;
        if (flags.clean) {
            utils_1.default.warning('cleaning destination...');
            await exec(cmd, { echo: true, capture: true });
        }
        utils_1.default.warning('copy to destination...');
        cmd = `scp ${Tu.snapshot_dir}${Tu.snapshot_name}* root@${Tu.config.remoteHost}:${Tu.config.remotePathIso}`;
        await exec(cmd, { echo: true, capture: true });
    }
}
exports.default = ExportIso;
ExportIso.description = 'export iso in the destination host';
ExportIso.flags = {
    help: command_1.flags.help({ char: 'h' }),
    clean: command_1.flags.boolean({ char: 'c', description: 'delete old ISOs before to copy' }),
};
