"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * penguins-eggs-v7 based on Debian live
 * author: Piero Proietti
 * email: piero.proietti@gmail.com
 * license: MIT
 */
const command_1 = require("@oclif/command");
const utils_1 = require("../classes/utils");
const settings_1 = require("../classes/settings");
const execute_1 = require("@getvim/execute");
class Kill extends command_1.Command {
    constructor() {
        super(...arguments);
        this.config_file = '/etc/penguins-eggs.d/eggs.yaml';
        this.snapshot_dir = '';
        this.work_dir = {};
    }
    async run() {
        utils_1.default.titles(this.id + ' ' + this.argv);
        const { flags } = this.parse(Kill);
        let verbose = false;
        if (flags.verbose) {
            verbose = true;
        }
        const echo = utils_1.default.setEcho(verbose);
        if (utils_1.default.isRoot(this.id)) {
            utils_1.default.warning('Cleaning the nest...');
            const settings = new settings_1.default();
            await settings.load();
            await settings.listFreeSpace();
            if (await utils_1.default.customConfirm()) {
                await execute_1.execute(`rm ${settings.work_dir.path} -rf`, echo);
                await execute_1.execute(`rm ${settings.config.snapshot_dir} -rf`, echo);
            }
        }
    }
}
exports.default = Kill;
Kill.description = 'kill the eggs/free the nest';
Kill.flags = {
    help: command_1.flags.help({ char: 'h' }),
    verbose: command_1.flags.boolean({ char: 'v', description: 'verbose' }),
};
Kill.examples = [
    `$ eggs kill\nkill the eggs/free the nest`
];
