"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * penguins-eggs-v7 based on Debian live
 * author: Piero Proietti
 * email: piero.proietti@gmail.com
 * license: MIT
 */
const command_1 = require("@oclif/command");
const utils_1 = require("../../classes/utils");
const bleach_1 = require("../../classes/bleach");
class Clean extends command_1.Command {
    async run() {
        const { flags } = this.parse(Clean);
        utils_1.default.titles(this.id + ' ' + this.argv);
        let verbose = false;
        if (flags.verbose) {
            verbose = true;
        }
        if (utils_1.default.isRoot()) {
            if (await utils_1.default.customConfirm(`Select yes to continue...`)) {
                const bleach = new bleach_1.default();
                bleach.clean(verbose);
            }
        }
    }
}
exports.default = Clean;
Clean.description = 'clean system log, apt, etc';
Clean.aliases = ['clean'];
Clean.flags = {
    help: command_1.flags.help({ char: 'h' }),
    verbose: command_1.flags.boolean({ char: 'v', description: 'verbose' })
};
