"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const command_1 = require("@oclif/command");
const utils_1 = require("../../classes/utils");
const i18n_1 = require("../../classes/i18n");
/**
 *
 */
class Locales extends command_1.Command {
    async run() {
        utils_1.default.titles(this.id + ' ' + this.argv);
        const { args, flags } = this.parse(Locales);
        let verbose = false;
        if (flags.verbose) {
            verbose = true;
        }
        let reinstall = false;
        if (flags.reinstall) {
            reinstall = true;
        }
        const echo = utils_1.default.setEcho(verbose);
        if (utils_1.default.isRoot()) {
            const i18n = new i18n_1.default(verbose);
            i18n.generate(reinstall);
        }
    }
}
exports.default = Locales;
Locales.description = 'install/clean locales';
Locales.flags = {
    help: command_1.flags.help({ char: 'h' }),
    reinstall: command_1.flags.boolean({ char: 'r', description: 'reinstall locales' }),
    verbose: command_1.flags.boolean({ char: 'v', description: 'verbose' }),
};
