"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * penguins-eggs-v7 based on Debian live
 * author: Piero Proietti
 * email: piero.proietti@gmail.com
 * license: MIT
 */
const command_1 = require("@oclif/command");
const shx = require("shelljs");
const fs = require("fs");
const utils_1 = require("../../classes/utils");
const yolk_1 = require("../../classes/yolk");
/**
 *
 */
class DevYolk extends command_1.Command {
    /**
     *
     */
    async run() {
        utils_1.default.titles(this.id + ' ' + this.argv);
        const { flags } = this.parse(DevYolk);
        let verbose = false;
        if (flags.verbose) {
            verbose = true;
        }
        if (utils_1.default.isRoot()) {
            if (fs.existsSync(DevYolk.dir)) {
                shx.exec(`rm ${DevYolk.dir} -rf `);
            }
            const yolk = new yolk_1.default();
            await yolk.create(verbose);
        }
    }
}
exports.default = DevYolk;
DevYolk.description = 'configure eggs to install without internet';
DevYolk.examples = [`$ eggs yolk -v`];
DevYolk.flags = {
    help: command_1.flags.help({ char: 'h' }),
    verbose: command_1.flags.boolean({ char: 'v' })
};
DevYolk.dir = '/usr/local/yolk';
