"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.remove = exports.add = void 0;
const shx = require("shelljs");
const fs = require("fs");
const path = require("path");
const utils_1 = require("../classes/utils");
/**
 *
 * @param chroot
 */
async function add(user, userPasswd, rootPasswd, chroot = '/') {
    if (utils_1.default.isSystemd()) {
        const fileOverride = `${chroot}/etc/systemd/system/getty@.service.d/override.conf`;
        const dirOverride = path.dirname(fileOverride);
        if (fs.existsSync(dirOverride)) {
            shx.exec(`rm ${dirOverride} -rf`);
        }
        shx.exec(`mkdir ${dirOverride}`);
        let content = '';
        content += '[Service]' + '\n';
        content += 'ExecStart=' + '\n';
        content += 'ExecStart=-/sbin/agetty --noclear --autologin ' + user + ' %I $TERM' + '\n';
        fs.writeFileSync(fileOverride, content);
        shx.exec(`chmod +x ${fileOverride}`);
        await motdAdd(user, userPasswd, rootPasswd, chroot);
    }
}
exports.add = add;
/**
 *
 * @param chroot
 */
async function remove(chroot = '/') {
    if (utils_1.default.isSystemd()) {
        const fileOverride = `${chroot}/etc/systemd/system/getty@.service.d/override.conf`;
        const dirOverride = path.dirname(fileOverride);
        if (fs.existsSync(dirOverride)) {
            shx.exec(`rm ${dirOverride} -rf`);
        }
        await motdRemove(chroot);
    }
}
exports.remove = remove;
/**
 *
 * @param chroot
 */
async function motdAdd(user, userPasswd, rootPasswd, chroot = '/') {
    const fileMotd = `${chroot}/etc/motd`;
    motdRemove(chroot);
    let eggsMotd = fs.readFileSync(fileMotd, 'utf-8');
    eggsMotd += '>>> eggs\n';
    eggsMotd += 'This is a live eggs system!\n';
    eggsMotd += `You are logged as ${user}, your password is: ${userPasswd}. root password: ${rootPasswd}\n`;
    eggsMotd += 'After installation you can add your favorite desktop, for example xfce4, cinnammon, \n';
    eggsMotd += 'mate, gnome, kde, etc and use the calamares graphical installation\n';
    eggsMotd += 'You can hatch the egg with cli installer: sudo eggs install\n';
    eggsMotd += 'eggs <<<\n';
    fs.writeFileSync(fileMotd, eggsMotd);
}
/**
 *
 * @param chroot
 */
async function motdRemove(chroot = '/') {
    const fileMotd = `${chroot}/etc/motd`;
    let motd = fs.readFileSync(fileMotd, 'utf-8').split('\n');
    let cleanMotd = '';
    const eggsMessageStart = '>>> eggs';
    let isEggsMessage = false;
    const eggsMessageStop = 'eggs <<<';
    for (let i = 0; i < motd.length; i++) {
        if (motd[i].includes(eggsMessageStart)) {
            isEggsMessage = true;
        }
        if (!isEggsMessage) {
            cleanMotd += motd[i] + '\n';
        }
        if (motd[i].includes(eggsMessageStop)) {
            isEggsMessage = false;
        }
    }
    fs.writeFileSync(fileMotd, cleanMotd);
}
