/**
 * Executes shell command as it would happen in BASH script
 * @param {string} command
 * @param {Object} [options] Object with options.
 *                           Set `echo` to TRUE, to echo command passed.
 *                           Set `ignore` to TRUE to ignore stdout
 *                           Set `capture` to TRUE, to capture and return stdout.
 *
 * @returns {Promise<{code: number, data: string | undefined, error: Object}>}
 */
import { IExec } from '../interfaces';
export declare function exec(command: string, { echo, ignore, capture }?: {
    echo?: boolean | undefined;
    ignore?: boolean | undefined;
    capture?: boolean | undefined;
}): Promise<IExec>;
